Bulletin d'alerte Debian

DSA-1831-1 djbdns -- Erreur de programmation

Date du rapport :
13 juillet 2009
Paquets concernés :
djbdns
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 518169.
Dans le dictionnaire CVE du Mitre : CVE-2009-0858.
Plus de précisions :

Matthew Dempsky a découvert que le djbdns de Daniel J. Bernstein, un serveur de de noms de domaine, ne contraint pas les décalages de la bonne façon. Cela permet aux attaquants distants contrôlant un sous-domaine de tierce partie servi par tinydns et axfrdns de déclencher des réponses DNS contenant des enregistrements arbitraires grâce à une zone data contrefaite pour ce sous-domaine.

L'ancienne distribution stable (Etch) ne contient pas djbdns.

Pour la distribution stable (Lenny), ce problème a été corrigé dans la version 1.05-4+lenny1.

Pour la distribution unstable (Sid), ce problème a été corrigé dans la version 1.05-5.

Nous vous recommandons de mettre à jour votre paquet djbdns.

Corrigé dans :

Debian GNU/Linux 5.0 (lenny)

Source :
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05.orig.tar.gz
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05-4+lenny1.dsc
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05-4+lenny1.diff.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/d/djbdns/dnscache-run_1.05-4+lenny1_all.deb
Alpha:
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05-4+lenny1_alpha.deb
http://security.debian.org/pool/updates/main/d/djbdns/dbndns_1.05-4+lenny1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/d/djbdns/dbndns_1.05-4+lenny1_amd64.deb
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05-4+lenny1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/d/djbdns/dbndns_1.05-4+lenny1_arm.deb
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05-4+lenny1_arm.deb
ARM EABI:
http://security.debian.org/pool/updates/main/d/djbdns/dbndns_1.05-4+lenny1_armel.deb
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05-4+lenny1_armel.deb
HP Precision:
http://security.debian.org/pool/updates/main/d/djbdns/dbndns_1.05-4+lenny1_hppa.deb
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05-4+lenny1_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/d/djbdns/dbndns_1.05-4+lenny1_i386.deb
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05-4+lenny1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05-4+lenny1_ia64.deb
http://security.debian.org/pool/updates/main/d/djbdns/dbndns_1.05-4+lenny1_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05-4+lenny1_mips.deb
http://security.debian.org/pool/updates/main/d/djbdns/dbndns_1.05-4+lenny1_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05-4+lenny1_mipsel.deb
http://security.debian.org/pool/updates/main/d/djbdns/dbndns_1.05-4+lenny1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05-4+lenny1_powerpc.deb
http://security.debian.org/pool/updates/main/d/djbdns/dbndns_1.05-4+lenny1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05-4+lenny1_s390.deb
http://security.debian.org/pool/updates/main/d/djbdns/dbndns_1.05-4+lenny1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/d/djbdns/dbndns_1.05-4+lenny1_sparc.deb
http://security.debian.org/pool/updates/main/d/djbdns/djbdns_1.05-4+lenny1_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.